org.apache.ignite.internal.processors.platform

## Class PlatformDefaultJavaObjectFactory<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformDefaultJavaObjectFactory<T>

All Implemented Interfaces:
  PlatformJavaObjectFactoryEx<T>, PlatformJavaObjectFactory<T>

    public class PlatformDefaultJavaObjectFactory<T>
    extends Object
    implements PlatformJavaObjectFactoryEx<T>

Default Java object factory implementation.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDefaultJavaObjectFactory()`

### Method Summary

Methods
`T` `create()` Constructs and returns a fully configured instance of T.
`void` `initialize(Object payload, Map<String,Object> props)` Initialize factory.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDefaultJavaObjectFactory

    public PlatformDefaultJavaObjectFactory()

### Method Detail

#### initialize

    public void initialize(@Nullable
                  Object payload,
                  @Nullable
                  Map<String,Object> props)

Initialize factory.

Specified by:
  `initialize` in interface `PlatformJavaObjectFactoryEx<T>`
Parameters:
  `payload` - Optional payload.
  `props` - Optional properties.

#### create

    public T create()

Constructs and returns a fully configured instance of T.

Specified by:
  `create` in interface `PlatformJavaObjectFactory<T>`
Returns:
  An instance of T.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017